Bug 1277875 - potrace: flaws in processing of BMP files [fedora-all]
Summary: potrace: flaws in processing of BMP files [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: potrace
Version: 22
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1277874
TreeView+ depends on / blocked
 
Reported: 2015-11-04 09:56 UTC by Martin Prpič
Modified: 2015-12-08 21:23 UTC (History)
1 user (show)

Fixed In Version: potrace-1.13-2.el5 potrace-1.13-2.el7 potrace-1.13-2.el6 potrace-1.13-2.fc23 potrace-1.13-2.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 04:53:42 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2015-11-04 09:56:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-11-04 09:56:49 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1277874,1277875

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1277874,1277875

Comment 2 Fedora Update System 2015-11-14 20:24:50 UTC
potrace-1.13-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-89ee6b7f82

Comment 3 Fedora Update System 2015-11-14 20:24:51 UTC
potrace-1.13-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1a2127e75f

Comment 4 Fedora Update System 2015-11-14 20:25:00 UTC
potrace-1.13-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7852ea201b

Comment 5 Fedora Update System 2015-11-14 20:25:01 UTC
potrace-1.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-914de61c66

Comment 6 Fedora Update System 2015-11-14 20:25:09 UTC
potrace-1.13-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5a9d60c28e

Comment 7 Fedora Update System 2015-11-14 20:25:09 UTC
potrace-1.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b76c1e5912

Comment 8 Fedora Update System 2015-11-15 04:19:56 UTC
potrace-1.13-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5a9d60c28e

Comment 9 Fedora Update System 2015-11-15 04:22:29 UTC
potrace-1.13-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-89ee6b7f82

Comment 10 Fedora Update System 2015-11-15 05:25:25 UTC
potrace-1.13-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7852ea201b

Comment 11 Fedora Update System 2015-11-15 18:47:19 UTC
potrace-1.13-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1a2127e75f

Comment 12 Fedora Update System 2015-11-15 19:47:41 UTC
potrace-1.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b76c1e5912

Comment 13 Fedora Update System 2015-11-15 19:51:34 UTC
potrace-1.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-914de61c66

Comment 14 Fedora Update System 2015-12-08 04:53:32 UTC
potrace-1.13-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-12-08 06:26:11 UTC
potrace-1.13-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-12-08 06:56:20 UTC
potrace-1.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-12-08 19:53:56 UTC
potrace-1.13-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-12-08 21:23:15 UTC
potrace-1.13-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.